package com.fs.hospital.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fs.hospital.mapper.HospitalLogininforMapper;
import com.fs.hospital.domain.HospitalLogininfor;
import com.fs.hospital.service.IHospitalLogininforService;

/**
 * 系统访问记录Service业务层处理
 * 
 * @author fs
 * @date 2024-02-26
 */
@Service
public class HospitalLogininforServiceImpl implements IHospitalLogininforService 
{
    @Autowired
    private HospitalLogininforMapper hospitalLogininforMapper;

    /**
     * 查询系统访问记录
     * 
     * @param infoId 系统访问记录主键
     * @return 系统访问记录
     */
    @Override
    public HospitalLogininfor selectHospitalLogininforByInfoId(Long infoId)
    {
        return hospitalLogininforMapper.selectHospitalLogininforByInfoId(infoId);
    }

    /**
     * 查询系统访问记录列表
     * 
     * @param hospitalLogininfor 系统访问记录
     * @return 系统访问记录
     */
    @Override
    public List<HospitalLogininfor> selectHospitalLogininforList(HospitalLogininfor hospitalLogininfor)
    {
        return hospitalLogininforMapper.selectHospitalLogininforList(hospitalLogininfor);
    }

    /**
     * 新增系统访问记录
     * 
     * @param hospitalLogininfor 系统访问记录
     * @return 结果
     */
    @Override
    public int insertHospitalLogininfor(HospitalLogininfor hospitalLogininfor)
    {
        return hospitalLogininforMapper.insertHospitalLogininfor(hospitalLogininfor);
    }

    /**
     * 修改系统访问记录
     * 
     * @param hospitalLogininfor 系统访问记录
     * @return 结果
     */
    @Override
    public int updateHospitalLogininfor(HospitalLogininfor hospitalLogininfor)
    {
        return hospitalLogininforMapper.updateHospitalLogininfor(hospitalLogininfor);
    }

    /**
     * 批量删除系统访问记录
     * 
     * @param infoIds 需要删除的系统访问记录主键
     * @return 结果
     */
    @Override
    public int deleteHospitalLogininforByInfoIds(Long[] infoIds)
    {
        return hospitalLogininforMapper.deleteHospitalLogininforByInfoIds(infoIds);
    }

    /**
     * 删除系统访问记录信息
     * 
     * @param infoId 系统访问记录主键
     * @return 结果
     */
    @Override
    public int deleteHospitalLogininforByInfoId(Long infoId)
    {
        return hospitalLogininforMapper.deleteHospitalLogininforByInfoId(infoId);
    }
}
